<?php
namespace App\Http\Controllers;

use App\Http\Requests\ContactRequest;
use App\Mail\ContactUsMail;
use Illuminate\Support\Facades\Mail;
use App\Models\Contact;

class ContactController extends Controller
{
    public function sendContactEmail(ContactRequest $request)
    {   
        $contact = Contact::create([
            'fullname' => $request->fullname,
            'phone' => $request->phone,
            'email' => $request->email,
            'message' => $request->message,
        ]);
        
        $adminEmail = 'madamar@no9ine.dev'; 

        Mail::to($adminEmail)->send(new ContactUsMail(
            $request->fullname,
            $request->phone,
            $request->email,
            $request->message
        ));

        return response()->json(['success'=>true,'message' => 'Your message has been sent successfully.','data'=>[],]);
    }
}

















?>